package com.wxw.nfcdemo;



import com.wxw.xnfc.NFCard;

import android.content.Intent;
import android.os.Bundle;
import android.provider.Settings;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBarActivity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends ActionBarActivity {
	private Button btn_r = null;
	private Button btn_w = null;
	private Button btn_p2p = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        btn_r = (Button)findViewById(R.id.read);
        btn_w = (Button)findViewById(R.id.write);
        btn_p2p = (Button)findViewById(R.id.P2P);

        btn_r.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent intent = new Intent();
				intent.setClass(MainActivity.this, NFCard.class);
				startActivity(intent);
			}
		});

        btn_w.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent intent = new Intent();
				intent.setClass(MainActivity.this, NfcMifareActivity.class);
				startActivity(intent);
			}
		});


        btn_p2p.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent intent = new Intent();
				intent.setClass(MainActivity.this, BeamActivity.class);
				startActivity(intent);

			}
		});



    }



    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
    	Intent setnfc = new Intent(Settings.ACTION_NFC_SETTINGS);
        startActivity(setnfc);

            return true;
       }
       return super.onOptionsItemSelected(item);


    }


}
